Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZProductForm Class Reference

## Public Member Functions
| __construct ( $id=-1, $fetch=true)
| store ()
| delete ( $formID=-1)
| get ( $id=-1)
| fill (&$formArray)
| id ()
& | form ()
& | receiver ()
| setProduct (&$object)
| setForm (&$object)

## Static Public Member Functions
& | getAll ( $offset=0, $limit=20)
| count ()
& | productHasForm (&$object)
& | formHasProduct (&$object)

## Public Attributes
| $ID
| $Form
| $Product

## Detailed Description

! eZProduct ezproductform documentation.

Example code:

Definition at line 41 of file ezproductform.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZProductForm::__construct | ( |  | $id = `-1`,
|  |  | $fetch = `true`
| ) |  |

Constructs a new eZProductForm object.

If $id is set the object's values are fetched from the database.

Definition at line 50 of file ezproductform.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ count()

eZProductForm::count | ( |  | ) |
| static

Returns the total count of objects in the database.

Definition at line 191 of file ezproductform.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by get(), and getAll().

## ◆ delete()

eZProductForm::delete | ( |  | $formID = `-1` | ) |

Deletes a eZProductForm object from the database.

Definition at line 104 of file ezproductform.php.

References $db, $ID, and eZDB\globalDatabase().

## ◆ fill()

eZProductForm::fill | ( | & | $formArray | ) |

Fills in information to the object taken from the array.

Definition at line 144 of file ezproductform.php.

Referenced by __construct(), and get().

## ◆ form()

& eZProductForm::form | ( |  | ) |

Returns the form of the object.

Definition at line 213 of file ezproductform.php.

References $Form.

## ◆ formHasProduct()

& eZProductForm::formHasProduct | ( | & | $object | ) |
| static

Returns the product if the form has an product.

The form is sent in as an eZForm object. The product is returned as an eZProduct object.

Definition at line 280 of file ezproductform.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ get()

eZProductForm::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 119 of file ezproductform.php.

References $db, $id, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

& eZProductForm::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |
| static

Returns all the objects found in the database.

The objects are returned as an array of eZProductForm objects.

Definition at line 158 of file ezproductform.php.

References $db, $i, $limit, count(), and eZDB\globalDatabase().

## ◆ id()

eZProductForm::id | ( |  | ) |

Returns the object ID. This is the unique ID stored in the database.

Definition at line 205 of file ezproductform.php.

References $ID.

## ◆ productHasForm()

& eZProductForm::productHasForm | ( | & | $object | ) |
| static

Returns the form if the product has a form.

The product is sent in as an eZProduct object. The form is returned as an eZForm object.

Definition at line 255 of file ezproductform.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ receiver()

& eZProductForm::receiver | ( |  | ) |

Returns the product of the object.

Definition at line 221 of file ezproductform.php.

References $Product.

## ◆ setForm()

eZProductForm::setForm | ( | & | $object | ) |

Sets the form of the object.

Definition at line 240 of file ezproductform.php.

## ◆ setProduct()

eZProductForm::setProduct | ( | & | $object | ) |

Sets the product of the object.

Definition at line 229 of file ezproductform.php.

## ◆ store()

eZProductForm::store | ( |  | ) |

Stores a eZProductForm object to the database.

Definition at line 69 of file ezproductform.php.

References $db, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $Form

eZProductForm::$Form

Definition at line 299 of file ezproductform.php.

Referenced by form().

## ◆ $ID

eZProductForm::$ID

Definition at line 298 of file ezproductform.php.

Referenced by __construct(), delete(), and id().

## ◆ $Product

eZProductForm::$Product

Definition at line 300 of file ezproductform.php.

Referenced by receiver().

The documentation for this class was generated from the following file:

- ezproductform.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.